package gunav2.keymon.com.mx;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class c_ticketsdia_subs_0 {


public static RemoteObject  _activity_keypress(RemoteObject __ref,RemoteObject _key) throws Exception{
try {
		Debug.PushSubsStack("Activity_KeyPress (c_ticketsdia) ","c_ticketsdia",8,__ref.getField(false, "ba"),__ref,135);
if (RapidSub.canDelegate("activity_keypress")) { return __ref.runUserSub(false, "c_ticketsdia","activity_keypress", __ref, _key);}
Debug.locals.put("key", _key);
 BA.debugLineNum = 135;BA.debugLine="Sub Activity_KeyPress (key As Int) As Boolean";
Debug.ShouldStop(64);
 BA.debugLineNum = 137;BA.debugLine="If key=KeyCodes.KEYCODE_BACK Then";
Debug.ShouldStop(256);
if (RemoteObject.solveBoolean("=",_key,BA.numberCast(double.class, c_ticketsdia.__c.getField(false,"KeyCodes").getField(true,"KEYCODE_BACK")))) { 
 BA.debugLineNum = 139;BA.debugLine="B4XPages.ShowPage(\"principal\")";
Debug.ShouldStop(1024);
c_ticketsdia._b4xpages.runVoidMethod ("_showpage" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("principal")));
 };
 BA.debugLineNum = 143;BA.debugLine="Return False";
Debug.ShouldStop(16384);
if (true) return c_ticketsdia.__c.getField(true,"False");
 BA.debugLineNum = 144;BA.debugLine="End Sub";
Debug.ShouldStop(32768);
return RemoteObject.createImmutable(false);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _b_noventa_click(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("b_noventa_Click (c_ticketsdia) ","c_ticketsdia",8,__ref.getField(false, "ba"),__ref,162);
if (RapidSub.canDelegate("b_noventa_click")) { return __ref.runUserSub(false, "c_ticketsdia","b_noventa_click", __ref);}
int _i = 0;
RemoteObject _label1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
RemoteObject _label2 = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
RemoteObject _s3 = RemoteObject.declareNull("anywheresoftware.b4a.sql.SQL.CursorWrapper");
RemoteObject _s5 = RemoteObject.declareNull("anywheresoftware.b4a.sql.SQL.CursorWrapper");
 BA.debugLineNum = 162;BA.debugLine="Sub b_noventa_Click";
Debug.ShouldStop(2);
 BA.debugLineNum = 163;BA.debugLine="If nombre_boton = \"NOVENTA\" Then";
Debug.ShouldStop(4);
if (RemoteObject.solveBoolean("=",__ref.getField(true,"_nombre_boton" /*RemoteObject*/ ),BA.ObjectToString("NOVENTA"))) { 
 BA.debugLineNum = 164;BA.debugLine="nombre_boton = \"VENTA\"";
Debug.ShouldStop(8);
__ref.setField ("_nombre_boton" /*RemoteObject*/ ,BA.ObjectToString("VENTA"));
 BA.debugLineNum = 165;BA.debugLine="b_noventa.Text =\"VENTA\"";
Debug.ShouldStop(16);
__ref.getField(false,"_b_noventa" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence("VENTA"));
 BA.debugLineNum = 166;BA.debugLine="L_ventanoventa.Text = \"Clientes sin venta\"";
Debug.ShouldStop(32);
__ref.getField(false,"_l_ventanoventa" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence("Clientes sin venta"));
 BA.debugLineNum = 167;BA.debugLine="c=B4XPages.MainPage.skmt.ExecQuery(\"select NV_CL";
Debug.ShouldStop(64);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_ticketsdia._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select NV_CLIENTE,NV_MOTIVO,NV_COMM, (select CAT_CL_NOMBRE from kmt_info3 where cat_cl_codigo = NV_CLIENTE ) as NOMBRE FROM NOVENTA ORDER BY NV_CLIENTE asc"))));
 BA.debugLineNum = 168;BA.debugLine="ListView1.Clear";
Debug.ShouldStop(128);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("Clear");
 BA.debugLineNum = 169;BA.debugLine="If c.RowCount>0 Then";
Debug.ShouldStop(256);
if (RemoteObject.solveBoolean(">",__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 170;BA.debugLine="For i=0 To c.RowCount -1";
Debug.ShouldStop(512);
{
final int step8 = 1;
final int limit8 = RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
for (;(step8 > 0 && _i <= limit8) || (step8 < 0 && _i >= limit8) ;_i = ((int)(0 + _i + step8))  ) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 171;BA.debugLine="c.Position=i";
Debug.ShouldStop(1024);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, _i));
 BA.debugLineNum = 172;BA.debugLine="Dim label1 As Label";
Debug.ShouldStop(2048);
_label1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("label1", _label1);
 BA.debugLineNum = 173;BA.debugLine="label1 = ListView1.TwoLinesLayout.Label";
Debug.ShouldStop(4096);
_label1 = __ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"Label");Debug.locals.put("label1", _label1);
 BA.debugLineNum = 174;BA.debugLine="label1.TextSize = 15";
Debug.ShouldStop(8192);
_label1.runMethod(true,"setTextSize",BA.numberCast(float.class, 15));
 BA.debugLineNum = 175;BA.debugLine="label1.TextColor = Colors.Black";
Debug.ShouldStop(16384);
_label1.runMethod(true,"setTextColor",c_ticketsdia.__c.getField(false,"Colors").getField(true,"Black"));
 BA.debugLineNum = 176;BA.debugLine="Dim label2 As Label";
Debug.ShouldStop(32768);
_label2 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("label2", _label2);
 BA.debugLineNum = 177;BA.debugLine="label2 = ListView1.TwoLinesLayout.SecondLabel";
Debug.ShouldStop(65536);
_label2 = __ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"SecondLabel");Debug.locals.put("label2", _label2);
 BA.debugLineNum = 178;BA.debugLine="label2.TextSize = 10";
Debug.ShouldStop(131072);
_label2.runMethod(true,"setTextSize",BA.numberCast(float.class, 10));
 BA.debugLineNum = 179;BA.debugLine="label2.TextColor = Colors.Blue";
Debug.ShouldStop(262144);
_label2.runMethod(true,"setTextColor",c_ticketsdia.__c.getField(false,"Colors").getField(true,"Blue"));
 BA.debugLineNum = 180;BA.debugLine="ListView1.AddTwoLines(c.GetString(\"NV_CLIENTE\"";
Debug.ShouldStop(524288);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("AddTwoLines",(Object)(BA.ObjectToCharSequence(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("NV_CLIENTE"))))),(Object)(BA.ObjectToCharSequence(RemoteObject.concat(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("NOMBRE"))),RemoteObject.createImmutable("  Motivo #"),__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("NV_MOTIVO"))),RemoteObject.createImmutable(" Comentario $"),__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("NV_COMM")))))));
 }
}Debug.locals.put("i", _i);
;
 };
 }else {
 BA.debugLineNum = 184;BA.debugLine="nombre_boton = \"NOVENTA\"";
Debug.ShouldStop(8388608);
__ref.setField ("_nombre_boton" /*RemoteObject*/ ,BA.ObjectToString("NOVENTA"));
 BA.debugLineNum = 185;BA.debugLine="b_noventa.Text =\"NO VENTA\"";
Debug.ShouldStop(16777216);
__ref.getField(false,"_b_noventa" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence("NO VENTA"));
 BA.debugLineNum = 186;BA.debugLine="L_ventanoventa.Text = \"Clientes con venta\"";
Debug.ShouldStop(33554432);
__ref.getField(false,"_l_ventanoventa" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence("Clientes con venta"));
 BA.debugLineNum = 187;BA.debugLine="ListView1.Clear";
Debug.ShouldStop(67108864);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("Clear");
 BA.debugLineNum = 188;BA.debugLine="c=B4XPages.MainPage.skmt.ExecQuery(\"select PC_CL";
Debug.ShouldStop(134217728);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_ticketsdia._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select PC_CLIENTE,PC_MONTO,PC_NOART,(select CAT_CL_NOMBRE from kmt_info3 where cat_cl_codigo = pc_cliente ) as NOMBRE FROM PEDIDO_CLIENTE ORDER BY PC_FECHA asc"))));
 BA.debugLineNum = 191;BA.debugLine="ListView1.Clear";
Debug.ShouldStop(1073741824);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("Clear");
 BA.debugLineNum = 192;BA.debugLine="If c.RowCount>0 Then";
Debug.ShouldStop(-2147483648);
if (RemoteObject.solveBoolean(">",__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 193;BA.debugLine="For i=0 To c.RowCount -1";
Debug.ShouldStop(1);
{
final int step29 = 1;
final int limit29 = RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
for (;(step29 > 0 && _i <= limit29) || (step29 < 0 && _i >= limit29) ;_i = ((int)(0 + _i + step29))  ) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 194;BA.debugLine="c.Position=i";
Debug.ShouldStop(2);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, _i));
 BA.debugLineNum = 195;BA.debugLine="Log(C.GetString(\"PC_CLIENTE\"))";
Debug.ShouldStop(4);
c_ticketsdia.__c.runVoidMethod ("LogImpl","068747297",__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PC_CLIENTE"))),0);
 BA.debugLineNum = 196;BA.debugLine="Private s3 As Cursor=B4XPages.MainPage.skmt.Ex";
Debug.ShouldStop(8);
_s3 = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");
_s3 = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.sql.SQL.CursorWrapper"), c_ticketsdia._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery2",(Object)(BA.ObjectToString("select * FROM PEDIDO WHERE PE_CLIENTE = ? and PE_RECALCULO <> ? OR PE_RECALCULO <> ? OR PE_RECALCULO IS NOT NULL")),(Object)(RemoteObject.createNewArray("String",new int[] {3},new Object[] {__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PC_CLIENTE"))),BA.ObjectToString(""),RemoteObject.createImmutable("null")}))));Debug.locals.put("s3", _s3);Debug.locals.put("s3", _s3);
 BA.debugLineNum = 197;BA.debugLine="LogColor(s3.RowCount,Colors.Yellow)";
Debug.ShouldStop(16);
c_ticketsdia.__c.runVoidMethod ("LogImpl","068747299",BA.NumberToString(_s3.runMethod(true,"getRowCount")),c_ticketsdia.__c.getField(false,"Colors").getField(true,"Yellow"));
 BA.debugLineNum = 198;BA.debugLine="If s3.RowCount > 0 Then";
Debug.ShouldStop(32);
if (RemoteObject.solveBoolean(">",_s3.runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 199;BA.debugLine="Private s As Cursor=B4XPages.MainPage.skmt.Ex";
Debug.ShouldStop(64);
c_ticketsdia._s = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");
c_ticketsdia._s = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.sql.SQL.CursorWrapper"), c_ticketsdia._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery2",(Object)(BA.ObjectToString("select iFNULL(sum(pe_costo_tot),0) as TOTAL_CLIE, IFNULL(SUM(PE_CANT),0) AS CANT_CLIE FROM PEDIDO WHERE PE_CLIENTE = ? and (PE_RECALCULO = ? or PE_RECALCULO = ? or PE_RECALCULO IS NULL ) AND PE_PROID NOT IN (SELECT CAT_PA_ID FROM PROMOS_COMP)")),(Object)(RemoteObject.createNewArray("String",new int[] {3},new Object[] {__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PC_CLIENTE"))),BA.ObjectToString(""),RemoteObject.createImmutable("null")}))));__ref.setField("_s",c_ticketsdia._s);
 BA.debugLineNum = 200;BA.debugLine="s.Position=0";
Debug.ShouldStop(128);
__ref.getField(false,"_s" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 201;BA.debugLine="Private s5 As Cursor = B4XPages.MainPage.skmt";
Debug.ShouldStop(256);
_s5 = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");
_s5 = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.sql.SQL.CursorWrapper"), c_ticketsdia._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery2",(Object)(BA.ObjectToString("select iFNULL(sum(PE_RECALCULOTOT),0) as TOTAL_CLIE, IFNULL(SUM(PE_CANT),0) AS CANT_CLIE FROM PEDIDO WHERE PE_CLIENTE = ? and (PE_RECALCULO <> ? or PE_RECALCULO <> ? OR PE_RECALCULO IS NOT NULL) AND PE_PROID NOT IN (SELECT CAT_PA_ID FROM PROMOS_COMP)")),(Object)(RemoteObject.createNewArray("String",new int[] {3},new Object[] {__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PC_CLIENTE"))),BA.ObjectToString(""),RemoteObject.createImmutable("null")}))));Debug.locals.put("s5", _s5);Debug.locals.put("s5", _s5);
 BA.debugLineNum = 202;BA.debugLine="s5.Position = 0";
Debug.ShouldStop(512);
_s5.runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 203;BA.debugLine="Dim label1 As Label";
Debug.ShouldStop(1024);
_label1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("label1", _label1);
 BA.debugLineNum = 204;BA.debugLine="label1 = ListView1.TwoLinesLayout.Label";
Debug.ShouldStop(2048);
_label1 = __ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"Label");Debug.locals.put("label1", _label1);
 BA.debugLineNum = 205;BA.debugLine="label1.TextSize = 20";
Debug.ShouldStop(4096);
_label1.runMethod(true,"setTextSize",BA.numberCast(float.class, 20));
 BA.debugLineNum = 206;BA.debugLine="label1.TextColor = Colors.White";
Debug.ShouldStop(8192);
_label1.runMethod(true,"setTextColor",c_ticketsdia.__c.getField(false,"Colors").getField(true,"White"));
 BA.debugLineNum = 207;BA.debugLine="Dim label2 As Label";
Debug.ShouldStop(16384);
_label2 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("label2", _label2);
 BA.debugLineNum = 208;BA.debugLine="label2 = ListView1.TwoLinesLayout.SecondLabel";
Debug.ShouldStop(32768);
_label2 = __ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"SecondLabel");Debug.locals.put("label2", _label2);
 BA.debugLineNum = 209;BA.debugLine="label2.TextSize = 20";
Debug.ShouldStop(65536);
_label2.runMethod(true,"setTextSize",BA.numberCast(float.class, 20));
 BA.debugLineNum = 210;BA.debugLine="label2.TextColor = Colors.White";
Debug.ShouldStop(131072);
_label2.runMethod(true,"setTextColor",c_ticketsdia.__c.getField(false,"Colors").getField(true,"White"));
 BA.debugLineNum = 211;BA.debugLine="label1.Height = 25dip";
Debug.ShouldStop(262144);
_label1.runMethod(true,"setHeight",c_ticketsdia.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 25))));
 BA.debugLineNum = 212;BA.debugLine="label2.Height = 60dip";
Debug.ShouldStop(524288);
_label2.runMethod(true,"setHeight",c_ticketsdia.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 60))));
 BA.debugLineNum = 214;BA.debugLine="ListView1.TwoLinesLayout.ItemHeight = 95dip";
Debug.ShouldStop(2097152);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").runMethod(true,"setItemHeight",c_ticketsdia.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 95))));
 BA.debugLineNum = 215;BA.debugLine="label1.Typeface = Typeface.CreateNew(Typeface";
Debug.ShouldStop(4194304);
_label1.runMethod(false,"setTypeface",c_ticketsdia.__c.getField(false,"Typeface").runMethod(false,"CreateNew",(Object)(c_ticketsdia.__c.getField(false,"Typeface").getField(false,"DEFAULT_BOLD")),(Object)(c_ticketsdia.__c.getField(false,"Typeface").getField(true,"STYLE_BOLD"))));
 BA.debugLineNum = 216;BA.debugLine="label2.Typeface = Typeface.CreateNew(Typeface";
Debug.ShouldStop(8388608);
_label2.runMethod(false,"setTypeface",c_ticketsdia.__c.getField(false,"Typeface").runMethod(false,"CreateNew",(Object)(c_ticketsdia.__c.getField(false,"Typeface").getField(false,"DEFAULT_BOLD")),(Object)(c_ticketsdia.__c.getField(false,"Typeface").getField(true,"STYLE_BOLD"))));
 BA.debugLineNum = 218;BA.debugLine="ListView1.AddTwoLines(c.GetString(\"PC_CLIENTE";
Debug.ShouldStop(33554432);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("AddTwoLines",(Object)(BA.ObjectToCharSequence(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PC_CLIENTE"))))),(Object)(BA.ObjectToCharSequence(RemoteObject.concat(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("NOMBRE"))),RemoteObject.createImmutable("   Cantidad #"),(RemoteObject.solve(new RemoteObject[] {BA.numberCast(double.class, __ref.getField(false,"_s" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CANT_CLIE")))),BA.numberCast(double.class, _s5.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CANT_CLIE"))))}, "+",1, 0)),RemoteObject.createImmutable(" SubTotal $"),c_ticketsdia._subs.runMethod(true,"_calculatotalconpromoxrango" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PC_CLIENTE")))))))));
 BA.debugLineNum = 219;BA.debugLine="s.Close";
Debug.ShouldStop(67108864);
__ref.getField(false,"_s" /*RemoteObject*/ ).runVoidMethod ("Close");
 }else 
{ BA.debugLineNum = 220;BA.debugLine="Else If s3.RowCount = 0 Then";
Debug.ShouldStop(134217728);
if (RemoteObject.solveBoolean("=",_s3.runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 221;BA.debugLine="Log(s3.RowCount)";
Debug.ShouldStop(268435456);
c_ticketsdia.__c.runVoidMethod ("LogImpl","068747323",BA.NumberToString(_s3.runMethod(true,"getRowCount")),0);
 BA.debugLineNum = 222;BA.debugLine="Private s As Cursor=B4XPages.MainPage.skmt.Ex";
Debug.ShouldStop(536870912);
c_ticketsdia._s = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");
c_ticketsdia._s = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.sql.SQL.CursorWrapper"), c_ticketsdia._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery2",(Object)(BA.ObjectToString("select iFNULL(sum(pe_costo_tot),0) as TOTAL_CLIE, SUM(PE_CANT) AS CANT_CLIE FROM PEDIDO WHERE PE_CLIENTE = ?")),(Object)(RemoteObject.createNewArray("String",new int[] {1},new Object[] {__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PC_CLIENTE")))}))));__ref.setField("_s",c_ticketsdia._s);
 BA.debugLineNum = 223;BA.debugLine="s.Position=0";
Debug.ShouldStop(1073741824);
__ref.getField(false,"_s" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 225;BA.debugLine="Dim label1 As Label";
Debug.ShouldStop(1);
_label1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("label1", _label1);
 BA.debugLineNum = 226;BA.debugLine="label1 = ListView1.TwoLinesLayout.Label";
Debug.ShouldStop(2);
_label1 = __ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"Label");Debug.locals.put("label1", _label1);
 BA.debugLineNum = 227;BA.debugLine="label1.TextSize = 20";
Debug.ShouldStop(4);
_label1.runMethod(true,"setTextSize",BA.numberCast(float.class, 20));
 BA.debugLineNum = 228;BA.debugLine="label1.TextColor = Colors.White";
Debug.ShouldStop(8);
_label1.runMethod(true,"setTextColor",c_ticketsdia.__c.getField(false,"Colors").getField(true,"White"));
 BA.debugLineNum = 229;BA.debugLine="Dim label2 As Label";
Debug.ShouldStop(16);
_label2 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("label2", _label2);
 BA.debugLineNum = 230;BA.debugLine="label2 = ListView1.TwoLinesLayout.SecondLabel";
Debug.ShouldStop(32);
_label2 = __ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"SecondLabel");Debug.locals.put("label2", _label2);
 BA.debugLineNum = 231;BA.debugLine="label2.TextSize = 20";
Debug.ShouldStop(64);
_label2.runMethod(true,"setTextSize",BA.numberCast(float.class, 20));
 BA.debugLineNum = 232;BA.debugLine="label2.TextColor = Colors.White";
Debug.ShouldStop(128);
_label2.runMethod(true,"setTextColor",c_ticketsdia.__c.getField(false,"Colors").getField(true,"White"));
 BA.debugLineNum = 233;BA.debugLine="label1.Height = 25dip";
Debug.ShouldStop(256);
_label1.runMethod(true,"setHeight",c_ticketsdia.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 25))));
 BA.debugLineNum = 234;BA.debugLine="label2.Height = 60dip";
Debug.ShouldStop(512);
_label2.runMethod(true,"setHeight",c_ticketsdia.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 60))));
 BA.debugLineNum = 236;BA.debugLine="ListView1.TwoLinesLayout.ItemHeight = 95dip";
Debug.ShouldStop(2048);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").runMethod(true,"setItemHeight",c_ticketsdia.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 95))));
 BA.debugLineNum = 237;BA.debugLine="label1.Typeface = Typeface.CreateNew(Typeface";
Debug.ShouldStop(4096);
_label1.runMethod(false,"setTypeface",c_ticketsdia.__c.getField(false,"Typeface").runMethod(false,"CreateNew",(Object)(c_ticketsdia.__c.getField(false,"Typeface").getField(false,"DEFAULT_BOLD")),(Object)(c_ticketsdia.__c.getField(false,"Typeface").getField(true,"STYLE_BOLD"))));
 BA.debugLineNum = 238;BA.debugLine="label2.Typeface = Typeface.CreateNew(Typeface";
Debug.ShouldStop(8192);
_label2.runMethod(false,"setTypeface",c_ticketsdia.__c.getField(false,"Typeface").runMethod(false,"CreateNew",(Object)(c_ticketsdia.__c.getField(false,"Typeface").getField(false,"DEFAULT_BOLD")),(Object)(c_ticketsdia.__c.getField(false,"Typeface").getField(true,"STYLE_BOLD"))));
 BA.debugLineNum = 239;BA.debugLine="Log(c.GetString(\"PC_CLIENTE\"))";
Debug.ShouldStop(16384);
c_ticketsdia.__c.runVoidMethod ("LogImpl","068747341",__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PC_CLIENTE"))),0);
 BA.debugLineNum = 240;BA.debugLine="Log(c.GetString(\"NOMBRE\"))";
Debug.ShouldStop(32768);
c_ticketsdia.__c.runVoidMethod ("LogImpl","068747342",__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("NOMBRE"))),0);
 BA.debugLineNum = 241;BA.debugLine="Log(s.GetString(\"CANT_CLIE\"))";
Debug.ShouldStop(65536);
c_ticketsdia.__c.runVoidMethod ("LogImpl","068747343",__ref.getField(false,"_s" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CANT_CLIE"))),0);
 BA.debugLineNum = 242;BA.debugLine="Log(c.GetString(\"PC_CLIENTE\"))";
Debug.ShouldStop(131072);
c_ticketsdia.__c.runVoidMethod ("LogImpl","068747344",__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PC_CLIENTE"))),0);
 BA.debugLineNum = 243;BA.debugLine="ListView1.AddTwoLines(c.GetString(\"PC_CLIENTE";
Debug.ShouldStop(262144);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("AddTwoLines",(Object)(BA.ObjectToCharSequence(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PC_CLIENTE"))))),(Object)(BA.ObjectToCharSequence(RemoteObject.concat(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("NOMBRE"))),RemoteObject.createImmutable("   Cantidad #"),__ref.getField(false,"_s" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CANT_CLIE"))),RemoteObject.createImmutable(" SubTotal $"),c_ticketsdia._subs.runMethod(true,"_calculatotalconpromoxrango" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PC_CLIENTE")))))))));
 BA.debugLineNum = 244;BA.debugLine="s.Close";
Debug.ShouldStop(524288);
__ref.getField(false,"_s" /*RemoteObject*/ ).runVoidMethod ("Close");
 }}
;
 }
}Debug.locals.put("i", _i);
;
 };
 BA.debugLineNum = 249;BA.debugLine="c.Close";
Debug.ShouldStop(16777216);
__ref.getField(false,"_c" /*RemoteObject*/ ).runVoidMethod ("Close");
 };
 BA.debugLineNum = 251;BA.debugLine="End Sub";
Debug.ShouldStop(67108864);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _b4xpage_appear(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("B4XPage_Appear (c_ticketsdia) ","c_ticketsdia",8,__ref.getField(false, "ba"),__ref,58);
if (RapidSub.canDelegate("b4xpage_appear")) { return __ref.runUserSub(false, "c_ticketsdia","b4xpage_appear", __ref);}
int _i = 0;
RemoteObject _s3 = RemoteObject.declareNull("anywheresoftware.b4a.sql.SQL.CursorWrapper");
RemoteObject _s5 = RemoteObject.declareNull("anywheresoftware.b4a.sql.SQL.CursorWrapper");
RemoteObject _label1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
RemoteObject _label2 = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
 BA.debugLineNum = 58;BA.debugLine="Sub B4XPage_Appear";
Debug.ShouldStop(33554432);
 BA.debugLineNum = 59;BA.debugLine="nombre_boton = \"NOVENTA\"";
Debug.ShouldStop(67108864);
__ref.setField ("_nombre_boton" /*RemoteObject*/ ,BA.ObjectToString("NOVENTA"));
 BA.debugLineNum = 60;BA.debugLine="L_ventanoventa.Text = \"Clientes con venta\"";
Debug.ShouldStop(134217728);
__ref.getField(false,"_l_ventanoventa" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence("Clientes con venta"));
 BA.debugLineNum = 61;BA.debugLine="ListView1.Clear";
Debug.ShouldStop(268435456);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("Clear");
 BA.debugLineNum = 62;BA.debugLine="ListView1.Height = Root.Height * 0.70";
Debug.ShouldStop(536870912);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(true,"setHeight",BA.numberCast(int.class, RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_root" /*RemoteObject*/ ).runMethod(true,"getHeight"),RemoteObject.createImmutable(0.70)}, "*",0, 0)));
 BA.debugLineNum = 63;BA.debugLine="p_ticketsdia.Height = Root.Height * 0.80";
Debug.ShouldStop(1073741824);
__ref.getField(false,"_p_ticketsdia" /*RemoteObject*/ ).runMethod(true,"setHeight",BA.numberCast(int.class, RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_root" /*RemoteObject*/ ).runMethod(true,"getHeight"),RemoteObject.createImmutable(0.80)}, "*",0, 0)));
 BA.debugLineNum = 64;BA.debugLine="p_ticketsdia.Width = Root.Width * 0.90";
Debug.ShouldStop(-2147483648);
__ref.getField(false,"_p_ticketsdia" /*RemoteObject*/ ).runMethod(true,"setWidth",BA.numberCast(int.class, RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_root" /*RemoteObject*/ ).runMethod(true,"getWidth"),RemoteObject.createImmutable(0.90)}, "*",0, 0)));
 BA.debugLineNum = 66;BA.debugLine="c=B4XPages.MainPage.skmt.ExecQuery(\"select PC_CLI";
Debug.ShouldStop(2);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_ticketsdia._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select PC_CLIENTE,PC_MONTO,PC_NOART,(select CAT_CL_NOMBRE from kmt_info3 where cat_cl_codigo = pc_cliente ) as NOMBRE FROM PEDIDO_CLIENTE ORDER BY PC_FECHA asc"))));
 BA.debugLineNum = 69;BA.debugLine="ListView1.Clear";
Debug.ShouldStop(16);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("Clear");
 BA.debugLineNum = 70;BA.debugLine="If c.RowCount>0 Then";
Debug.ShouldStop(32);
if (RemoteObject.solveBoolean(">",__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 71;BA.debugLine="For i=0 To c.RowCount -1";
Debug.ShouldStop(64);
{
final int step10 = 1;
final int limit10 = RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
for (;(step10 > 0 && _i <= limit10) || (step10 < 0 && _i >= limit10) ;_i = ((int)(0 + _i + step10))  ) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 72;BA.debugLine="c.Position=i";
Debug.ShouldStop(128);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, _i));
 BA.debugLineNum = 75;BA.debugLine="Private s3 As Cursor=B4XPages.MainPage.skmt.Exe";
Debug.ShouldStop(1024);
_s3 = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");
_s3 = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.sql.SQL.CursorWrapper"), c_ticketsdia._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery2",(Object)(BA.ObjectToString("select * FROM PEDIDO WHERE PE_CLIENTE = ? and PE_RECALCULO <> ? OR PE_RECALCULO <> ? OR PE_RECALCULO IS NOT NULL")),(Object)(RemoteObject.createNewArray("String",new int[] {3},new Object[] {__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PC_CLIENTE"))),BA.ObjectToString(""),RemoteObject.createImmutable("null")}))));Debug.locals.put("s3", _s3);Debug.locals.put("s3", _s3);
 BA.debugLineNum = 76;BA.debugLine="LogColor(s3.RowCount,Colors.Yellow)";
Debug.ShouldStop(2048);
c_ticketsdia.__c.runVoidMethod ("LogImpl","068485138",BA.NumberToString(_s3.runMethod(true,"getRowCount")),c_ticketsdia.__c.getField(false,"Colors").getField(true,"Yellow"));
 BA.debugLineNum = 77;BA.debugLine="If s3.RowCount > 0 Then";
Debug.ShouldStop(4096);
if (RemoteObject.solveBoolean(">",_s3.runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 79;BA.debugLine="Private s As Cursor=B4XPages.MainPage.skmt.Exe";
Debug.ShouldStop(16384);
c_ticketsdia._s = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");
c_ticketsdia._s = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.sql.SQL.CursorWrapper"), c_ticketsdia._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery2",(Object)(BA.ObjectToString("select iFNULL(sum(pe_costo_tot),0) as TOTAL_CLIE, IFNULL(SUM(PE_CANT),0) AS CANT_CLIE FROM PEDIDO WHERE PE_CLIENTE = ? and (PE_RECALCULO = ? or PE_RECALCULO = ? or PE_RECALCULO IS NULL ) AND PE_PROID NOT IN (SELECT CAT_PA_ID FROM PROMOS_COMP)")),(Object)(RemoteObject.createNewArray("String",new int[] {3},new Object[] {__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PC_CLIENTE"))),BA.ObjectToString(""),RemoteObject.createImmutable("null")}))));__ref.setField("_s",c_ticketsdia._s);
 BA.debugLineNum = 80;BA.debugLine="s.Position=0";
Debug.ShouldStop(32768);
__ref.getField(false,"_s" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 81;BA.debugLine="Private s5 As Cursor = B4XPages.MainPage.skmt.";
Debug.ShouldStop(65536);
_s5 = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");
_s5 = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.sql.SQL.CursorWrapper"), c_ticketsdia._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery2",(Object)(BA.ObjectToString("select iFNULL(sum(PE_RECALCULOTOT),0) as TOTAL_CLIE,  IFNULL(SUM(PE_CANT),0) AS CANT_CLIE FROM PEDIDO WHERE PE_CLIENTE = ? and (PE_RECALCULO <> ? or PE_RECALCULO <> ? OR PE_RECALCULO IS NOT NULL) AND PE_PROID NOT IN (SELECT CAT_PA_ID FROM PROMOS_COMP)")),(Object)(RemoteObject.createNewArray("String",new int[] {3},new Object[] {__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PC_CLIENTE"))),BA.ObjectToString(""),RemoteObject.createImmutable("null")}))));Debug.locals.put("s5", _s5);Debug.locals.put("s5", _s5);
 BA.debugLineNum = 82;BA.debugLine="s5.Position = 0";
Debug.ShouldStop(131072);
_s5.runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 87;BA.debugLine="Dim label1 As Label";
Debug.ShouldStop(4194304);
_label1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("label1", _label1);
 BA.debugLineNum = 88;BA.debugLine="label1 = ListView1.TwoLinesLayout.Label";
Debug.ShouldStop(8388608);
_label1 = __ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"Label");Debug.locals.put("label1", _label1);
 BA.debugLineNum = 89;BA.debugLine="label1.TextSize = 20";
Debug.ShouldStop(16777216);
_label1.runMethod(true,"setTextSize",BA.numberCast(float.class, 20));
 BA.debugLineNum = 90;BA.debugLine="label1.TextColor = Colors.White";
Debug.ShouldStop(33554432);
_label1.runMethod(true,"setTextColor",c_ticketsdia.__c.getField(false,"Colors").getField(true,"White"));
 BA.debugLineNum = 91;BA.debugLine="Dim label2 As Label";
Debug.ShouldStop(67108864);
_label2 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("label2", _label2);
 BA.debugLineNum = 92;BA.debugLine="label2 = ListView1.TwoLinesLayout.SecondLabel";
Debug.ShouldStop(134217728);
_label2 = __ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"SecondLabel");Debug.locals.put("label2", _label2);
 BA.debugLineNum = 93;BA.debugLine="label2.TextSize = 20";
Debug.ShouldStop(268435456);
_label2.runMethod(true,"setTextSize",BA.numberCast(float.class, 20));
 BA.debugLineNum = 94;BA.debugLine="label2.TextColor = Colors.White";
Debug.ShouldStop(536870912);
_label2.runMethod(true,"setTextColor",c_ticketsdia.__c.getField(false,"Colors").getField(true,"White"));
 BA.debugLineNum = 95;BA.debugLine="label1.Height = 25dip";
Debug.ShouldStop(1073741824);
_label1.runMethod(true,"setHeight",c_ticketsdia.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 25))));
 BA.debugLineNum = 96;BA.debugLine="label2.Height = 60dip";
Debug.ShouldStop(-2147483648);
_label2.runMethod(true,"setHeight",c_ticketsdia.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 60))));
 BA.debugLineNum = 98;BA.debugLine="ListView1.TwoLinesLayout.ItemHeight = 95dip";
Debug.ShouldStop(2);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").runMethod(true,"setItemHeight",c_ticketsdia.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 95))));
 BA.debugLineNum = 99;BA.debugLine="label1.Typeface = Typeface.CreateNew(Typeface.";
Debug.ShouldStop(4);
_label1.runMethod(false,"setTypeface",c_ticketsdia.__c.getField(false,"Typeface").runMethod(false,"CreateNew",(Object)(c_ticketsdia.__c.getField(false,"Typeface").getField(false,"DEFAULT_BOLD")),(Object)(c_ticketsdia.__c.getField(false,"Typeface").getField(true,"STYLE_BOLD"))));
 BA.debugLineNum = 100;BA.debugLine="label2.Typeface = Typeface.CreateNew(Typeface.";
Debug.ShouldStop(8);
_label2.runMethod(false,"setTypeface",c_ticketsdia.__c.getField(false,"Typeface").runMethod(false,"CreateNew",(Object)(c_ticketsdia.__c.getField(false,"Typeface").getField(false,"DEFAULT_BOLD")),(Object)(c_ticketsdia.__c.getField(false,"Typeface").getField(true,"STYLE_BOLD"))));
 BA.debugLineNum = 101;BA.debugLine="Log(1)";
Debug.ShouldStop(16);
c_ticketsdia.__c.runVoidMethod ("LogImpl","068485163",BA.NumberToString(1),0);
 BA.debugLineNum = 103;BA.debugLine="ListView1.AddTwoLines(c.GetString(\"PC_CLIENTE\"";
Debug.ShouldStop(64);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("AddTwoLines",(Object)(BA.ObjectToCharSequence(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PC_CLIENTE"))))),(Object)(BA.ObjectToCharSequence(RemoteObject.concat(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("NOMBRE"))),RemoteObject.createImmutable("   Cantidad #"),(RemoteObject.solve(new RemoteObject[] {BA.numberCast(double.class, __ref.getField(false,"_s" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CANT_CLIE")))),BA.numberCast(double.class, _s5.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CANT_CLIE"))))}, "+",1, 0)),RemoteObject.createImmutable(" SubTotal $"),c_ticketsdia._subs.runMethod(true,"_calculatotalconpromoxrango" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PC_CLIENTE")))))))));
 BA.debugLineNum = 104;BA.debugLine="s.Close";
Debug.ShouldStop(128);
__ref.getField(false,"_s" /*RemoteObject*/ ).runVoidMethod ("Close");
 }else 
{ BA.debugLineNum = 105;BA.debugLine="Else If s3.RowCount = 0 Then";
Debug.ShouldStop(256);
if (RemoteObject.solveBoolean("=",_s3.runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 106;BA.debugLine="Private s As Cursor=B4XPages.MainPage.skmt.Exe";
Debug.ShouldStop(512);
c_ticketsdia._s = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");
c_ticketsdia._s = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.sql.SQL.CursorWrapper"), c_ticketsdia._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery2",(Object)(BA.ObjectToString("select iFNULL(sum(pe_costo_tot),0) as TOTAL_CLIE, SUM(PE_CANT) AS CANT_CLIE FROM PEDIDO WHERE PE_CLIENTE = ?")),(Object)(RemoteObject.createNewArray("String",new int[] {1},new Object[] {__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PC_CLIENTE")))}))));__ref.setField("_s",c_ticketsdia._s);
 BA.debugLineNum = 107;BA.debugLine="s.Position=0";
Debug.ShouldStop(1024);
__ref.getField(false,"_s" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 109;BA.debugLine="Dim label1 As Label";
Debug.ShouldStop(4096);
_label1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("label1", _label1);
 BA.debugLineNum = 110;BA.debugLine="label1 = ListView1.TwoLinesLayout.Label";
Debug.ShouldStop(8192);
_label1 = __ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"Label");Debug.locals.put("label1", _label1);
 BA.debugLineNum = 111;BA.debugLine="label1.TextSize = 20";
Debug.ShouldStop(16384);
_label1.runMethod(true,"setTextSize",BA.numberCast(float.class, 20));
 BA.debugLineNum = 112;BA.debugLine="label1.TextColor = Colors.White";
Debug.ShouldStop(32768);
_label1.runMethod(true,"setTextColor",c_ticketsdia.__c.getField(false,"Colors").getField(true,"White"));
 BA.debugLineNum = 113;BA.debugLine="Dim label2 As Label";
Debug.ShouldStop(65536);
_label2 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("label2", _label2);
 BA.debugLineNum = 114;BA.debugLine="label2 = ListView1.TwoLinesLayout.SecondLabel";
Debug.ShouldStop(131072);
_label2 = __ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"SecondLabel");Debug.locals.put("label2", _label2);
 BA.debugLineNum = 115;BA.debugLine="label2.TextSize = 20";
Debug.ShouldStop(262144);
_label2.runMethod(true,"setTextSize",BA.numberCast(float.class, 20));
 BA.debugLineNum = 116;BA.debugLine="label2.TextColor = Colors.White";
Debug.ShouldStop(524288);
_label2.runMethod(true,"setTextColor",c_ticketsdia.__c.getField(false,"Colors").getField(true,"White"));
 BA.debugLineNum = 117;BA.debugLine="label1.Height = 25dip";
Debug.ShouldStop(1048576);
_label1.runMethod(true,"setHeight",c_ticketsdia.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 25))));
 BA.debugLineNum = 118;BA.debugLine="label2.Height = 60dip";
Debug.ShouldStop(2097152);
_label2.runMethod(true,"setHeight",c_ticketsdia.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 60))));
 BA.debugLineNum = 120;BA.debugLine="ListView1.TwoLinesLayout.ItemHeight = 95dip";
Debug.ShouldStop(8388608);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").runMethod(true,"setItemHeight",c_ticketsdia.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 95))));
 BA.debugLineNum = 121;BA.debugLine="label1.Typeface = Typeface.CreateNew(Typeface.";
Debug.ShouldStop(16777216);
_label1.runMethod(false,"setTypeface",c_ticketsdia.__c.getField(false,"Typeface").runMethod(false,"CreateNew",(Object)(c_ticketsdia.__c.getField(false,"Typeface").getField(false,"DEFAULT_BOLD")),(Object)(c_ticketsdia.__c.getField(false,"Typeface").getField(true,"STYLE_BOLD"))));
 BA.debugLineNum = 122;BA.debugLine="label2.Typeface = Typeface.CreateNew(Typeface.";
Debug.ShouldStop(33554432);
_label2.runMethod(false,"setTypeface",c_ticketsdia.__c.getField(false,"Typeface").runMethod(false,"CreateNew",(Object)(c_ticketsdia.__c.getField(false,"Typeface").getField(false,"DEFAULT_BOLD")),(Object)(c_ticketsdia.__c.getField(false,"Typeface").getField(true,"STYLE_BOLD"))));
 BA.debugLineNum = 123;BA.debugLine="Log(2)";
Debug.ShouldStop(67108864);
c_ticketsdia.__c.runVoidMethod ("LogImpl","068485185",BA.NumberToString(2),0);
 BA.debugLineNum = 124;BA.debugLine="ListView1.AddTwoLines(c.GetString(\"PC_CLIENTE\"";
Debug.ShouldStop(134217728);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("AddTwoLines",(Object)(BA.ObjectToCharSequence(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PC_CLIENTE"))))),(Object)(BA.ObjectToCharSequence(RemoteObject.concat(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("NOMBRE"))),RemoteObject.createImmutable("   Cantidad #"),__ref.getField(false,"_s" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CANT_CLIE"))),RemoteObject.createImmutable(" SubTotal $"),c_ticketsdia._subs.runMethod(true,"_calculatotalconpromoxrango" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PC_CLIENTE")))))))));
 BA.debugLineNum = 125;BA.debugLine="s.Close";
Debug.ShouldStop(268435456);
__ref.getField(false,"_s" /*RemoteObject*/ ).runVoidMethod ("Close");
 }}
;
 }
}Debug.locals.put("i", _i);
;
 };
 BA.debugLineNum = 129;BA.debugLine="c.Close";
Debug.ShouldStop(1);
__ref.getField(false,"_c" /*RemoteObject*/ ).runVoidMethod ("Close");
 BA.debugLineNum = 130;BA.debugLine="End Sub";
Debug.ShouldStop(2);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _b4xpage_created(RemoteObject __ref,RemoteObject _root1) throws Exception{
try {
		Debug.PushSubsStack("B4XPage_Created (c_ticketsdia) ","c_ticketsdia",8,__ref.getField(false, "ba"),__ref,23);
if (RapidSub.canDelegate("b4xpage_created")) { return __ref.runUserSub(false, "c_ticketsdia","b4xpage_created", __ref, _root1);}
int _i = 0;
RemoteObject _label1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
RemoteObject _label2 = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
Debug.locals.put("Root1", _root1);
 BA.debugLineNum = 23;BA.debugLine="Private Sub B4XPage_Created (Root1 As B4XView)";
Debug.ShouldStop(4194304);
 BA.debugLineNum = 24;BA.debugLine="Root = Root1";
Debug.ShouldStop(8388608);
__ref.setField ("_root" /*RemoteObject*/ ,_root1);
 BA.debugLineNum = 26;BA.debugLine="ruta = File.DirInternal";
Debug.ShouldStop(33554432);
__ref.setField ("_ruta" /*RemoteObject*/ ,c_ticketsdia.__c.getField(false,"File").runMethod(true,"getDirInternal"));
 BA.debugLineNum = 27;BA.debugLine="Root.LoadLayout(\"ticketsdia\")";
Debug.ShouldStop(67108864);
__ref.getField(false,"_root" /*RemoteObject*/ ).runVoidMethodAndSync ("LoadLayout",(Object)(RemoteObject.createImmutable("ticketsdia")),__ref.getField(false, "ba"));
 BA.debugLineNum = 29;BA.debugLine="If File.Exists(ruta, \"kmt.db\") = False Then";
Debug.ShouldStop(268435456);
if (RemoteObject.solveBoolean("=",c_ticketsdia.__c.getField(false,"File").runMethod(true,"Exists",(Object)(__ref.getField(true,"_ruta" /*RemoteObject*/ )),(Object)(RemoteObject.createImmutable("kmt.db"))),c_ticketsdia.__c.getField(true,"False"))) { 
 BA.debugLineNum = 30;BA.debugLine="File.Copy(File.DirAssets, \"kmt.db\", ruta, \"kmt.d";
Debug.ShouldStop(536870912);
c_ticketsdia.__c.getField(false,"File").runVoidMethod ("Copy",(Object)(c_ticketsdia.__c.getField(false,"File").runMethod(true,"getDirAssets")),(Object)(BA.ObjectToString("kmt.db")),(Object)(__ref.getField(true,"_ruta" /*RemoteObject*/ )),(Object)(RemoteObject.createImmutable("kmt.db")));
 };
 BA.debugLineNum = 32;BA.debugLine="c=B4XPages.MainPage.skmt.ExecQuery(\"select PC_CLI";
Debug.ShouldStop(-2147483648);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_ticketsdia._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select PC_CLIENTE,PC_MONTO,PC_NOART FROM PEDIDO_CLIENTE ORDER BY PC_FECHA asc"))));
 BA.debugLineNum = 33;BA.debugLine="ListView1.Clear";
Debug.ShouldStop(1);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("Clear");
 BA.debugLineNum = 34;BA.debugLine="If c.RowCount>0 Then";
Debug.ShouldStop(2);
if (RemoteObject.solveBoolean(">",__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 35;BA.debugLine="For i=0 To c.RowCount -1";
Debug.ShouldStop(4);
{
final int step10 = 1;
final int limit10 = RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
for (;(step10 > 0 && _i <= limit10) || (step10 < 0 && _i >= limit10) ;_i = ((int)(0 + _i + step10))  ) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 36;BA.debugLine="c.Position=i";
Debug.ShouldStop(8);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, _i));
 BA.debugLineNum = 37;BA.debugLine="Dim Label1 As Label";
Debug.ShouldStop(16);
_label1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("Label1", _label1);
 BA.debugLineNum = 38;BA.debugLine="Label1 = ListView1.TwoLinesLayout.Label";
Debug.ShouldStop(32);
_label1 = __ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"Label");Debug.locals.put("Label1", _label1);
 BA.debugLineNum = 39;BA.debugLine="Label1.TextSize = 20";
Debug.ShouldStop(64);
_label1.runMethod(true,"setTextSize",BA.numberCast(float.class, 20));
 BA.debugLineNum = 40;BA.debugLine="Label1.TextColor = Colors.White";
Debug.ShouldStop(128);
_label1.runMethod(true,"setTextColor",c_ticketsdia.__c.getField(false,"Colors").getField(true,"White"));
 BA.debugLineNum = 41;BA.debugLine="Dim label2 As Label";
Debug.ShouldStop(256);
_label2 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("label2", _label2);
 BA.debugLineNum = 42;BA.debugLine="label2 = ListView1.TwoLinesLayout.SecondLabel";
Debug.ShouldStop(512);
_label2 = __ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"SecondLabel");Debug.locals.put("label2", _label2);
 BA.debugLineNum = 43;BA.debugLine="label2.TextSize = 20";
Debug.ShouldStop(1024);
_label2.runMethod(true,"setTextSize",BA.numberCast(float.class, 20));
 BA.debugLineNum = 44;BA.debugLine="label2.TextColor = Colors.White";
Debug.ShouldStop(2048);
_label2.runMethod(true,"setTextColor",c_ticketsdia.__c.getField(false,"Colors").getField(true,"White"));
 BA.debugLineNum = 45;BA.debugLine="Label1.Height = 25dip";
Debug.ShouldStop(4096);
_label1.runMethod(true,"setHeight",c_ticketsdia.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 25))));
 BA.debugLineNum = 46;BA.debugLine="label2.Height = 60dip";
Debug.ShouldStop(8192);
_label2.runMethod(true,"setHeight",c_ticketsdia.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 60))));
 BA.debugLineNum = 48;BA.debugLine="ListView1.TwoLinesLayout.ItemHeight = 95dip";
Debug.ShouldStop(32768);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").runMethod(true,"setItemHeight",c_ticketsdia.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 95))));
 BA.debugLineNum = 49;BA.debugLine="Label1.Typeface = Typeface.CreateNew(Typeface.D";
Debug.ShouldStop(65536);
_label1.runMethod(false,"setTypeface",c_ticketsdia.__c.getField(false,"Typeface").runMethod(false,"CreateNew",(Object)(c_ticketsdia.__c.getField(false,"Typeface").getField(false,"DEFAULT_BOLD")),(Object)(c_ticketsdia.__c.getField(false,"Typeface").getField(true,"STYLE_BOLD"))));
 BA.debugLineNum = 50;BA.debugLine="label2.Typeface = Typeface.CreateNew(Typeface.D";
Debug.ShouldStop(131072);
_label2.runMethod(false,"setTypeface",c_ticketsdia.__c.getField(false,"Typeface").runMethod(false,"CreateNew",(Object)(c_ticketsdia.__c.getField(false,"Typeface").getField(false,"DEFAULT_BOLD")),(Object)(c_ticketsdia.__c.getField(false,"Typeface").getField(true,"STYLE_BOLD"))));
 BA.debugLineNum = 51;BA.debugLine="ListView1.AddTwoLines(c.GetString(\"PC_CLIENTE\")";
Debug.ShouldStop(262144);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("AddTwoLines",(Object)(BA.ObjectToCharSequence(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PC_CLIENTE"))))),(Object)(BA.ObjectToCharSequence(RemoteObject.concat(RemoteObject.createImmutable("Cantidad #"),__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PC_NOART"))),RemoteObject.createImmutable(" SubTotal $"),c_ticketsdia._subs.runMethod(true,"_calculatotalconpromoxrango" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PC_CLIENTE")))))))));
 }
}Debug.locals.put("i", _i);
;
 };
 BA.debugLineNum = 54;BA.debugLine="End Sub";
Debug.ShouldStop(2097152);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _class_globals(RemoteObject __ref) throws Exception{
 //BA.debugLineNum = 1;BA.debugLine="Sub Class_Globals";
 //BA.debugLineNum = 2;BA.debugLine="Private Root As B4XView 'ignore";
c_ticketsdia._root = RemoteObject.createNew ("anywheresoftware.b4a.objects.B4XViewWrapper");__ref.setField("_root",c_ticketsdia._root);
 //BA.debugLineNum = 3;BA.debugLine="Private xui As XUI 'ignore";
c_ticketsdia._xui = RemoteObject.createNew ("anywheresoftware.b4a.objects.B4XViewWrapper.XUI");__ref.setField("_xui",c_ticketsdia._xui);
 //BA.debugLineNum = 4;BA.debugLine="Private p_ticketsdia As Panel";
c_ticketsdia._p_ticketsdia = RemoteObject.createNew ("anywheresoftware.b4a.objects.PanelWrapper");__ref.setField("_p_ticketsdia",c_ticketsdia._p_ticketsdia);
 //BA.debugLineNum = 6;BA.debugLine="Dim c As Cursor";
c_ticketsdia._c = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");__ref.setField("_c",c_ticketsdia._c);
 //BA.debugLineNum = 7;BA.debugLine="Dim S As Cursor";
c_ticketsdia._s = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");__ref.setField("_s",c_ticketsdia._s);
 //BA.debugLineNum = 8;BA.debugLine="Dim ruta As String";
c_ticketsdia._ruta = RemoteObject.createImmutable("");__ref.setField("_ruta",c_ticketsdia._ruta);
 //BA.debugLineNum = 9;BA.debugLine="Dim ListView1 As ListView";
c_ticketsdia._listview1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.ListViewWrapper");__ref.setField("_listview1",c_ticketsdia._listview1);
 //BA.debugLineNum = 10;BA.debugLine="Dim b_noventa As Button";
c_ticketsdia._b_noventa = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");__ref.setField("_b_noventa",c_ticketsdia._b_noventa);
 //BA.debugLineNum = 11;BA.debugLine="Dim nombre_boton As String";
c_ticketsdia._nombre_boton = RemoteObject.createImmutable("");__ref.setField("_nombre_boton",c_ticketsdia._nombre_boton);
 //BA.debugLineNum = 12;BA.debugLine="Dim STIME As String";
c_ticketsdia._stime = RemoteObject.createImmutable("");__ref.setField("_stime",c_ticketsdia._stime);
 //BA.debugLineNum = 14;BA.debugLine="Private L_ventanoventa As Label";
c_ticketsdia._l_ventanoventa = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");__ref.setField("_l_ventanoventa",c_ticketsdia._l_ventanoventa);
 //BA.debugLineNum = 15;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
public static RemoteObject  _initialize(RemoteObject __ref,RemoteObject _ba) throws Exception{
try {
		Debug.PushSubsStack("Initialize (c_ticketsdia) ","c_ticketsdia",8,__ref.getField(false, "ba"),__ref,18);
if (RapidSub.canDelegate("initialize")) { return __ref.runUserSub(false, "c_ticketsdia","initialize", __ref, _ba);}
__ref.runVoidMethodAndSync("innerInitializeHelper", _ba);
Debug.locals.put("ba", _ba);
 BA.debugLineNum = 18;BA.debugLine="Public Sub Initialize As Object";
Debug.ShouldStop(131072);
 BA.debugLineNum = 19;BA.debugLine="Return Me";
Debug.ShouldStop(262144);
if (true) return __ref;
 BA.debugLineNum = 20;BA.debugLine="End Sub";
Debug.ShouldStop(524288);
return RemoteObject.createImmutable(null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _listview1_itemlongclick(RemoteObject __ref,RemoteObject _position,RemoteObject _value) throws Exception{
try {
		Debug.PushSubsStack("ListView1_ItemLongClick (c_ticketsdia) ","c_ticketsdia",8,__ref.getField(false, "ba"),__ref,145);
if (RapidSub.canDelegate("listview1_itemlongclick")) { return __ref.runUserSub(false, "c_ticketsdia","listview1_itemlongclick", __ref, _position, _value);}
Debug.locals.put("Position", _position);
Debug.locals.put("Value", _value);
 BA.debugLineNum = 145;BA.debugLine="Sub ListView1_ItemLongClick (Position As Int, Valu";
Debug.ShouldStop(65536);
 BA.debugLineNum = 146;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery(\"delete from";
Debug.ShouldStop(131072);
c_ticketsdia._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery",(Object)(RemoteObject.createImmutable("delete from CUENTAA")));
 BA.debugLineNum = 147;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery2(\"INSERT INTO";
Debug.ShouldStop(262144);
c_ticketsdia._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("INSERT INTO CUENTAA VALUES (?)")),(Object)(c_ticketsdia.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {_value})))));
 BA.debugLineNum = 148;BA.debugLine="DateTime.TimeFormat = \"HHmmss\"";
Debug.ShouldStop(524288);
c_ticketsdia.__c.getField(false,"DateTime").runMethod(true,"setTimeFormat",BA.ObjectToString("HHmmss"));
 BA.debugLineNum = 149;BA.debugLine="STIME=DateTime.Time(DateTime.Now)";
Debug.ShouldStop(1048576);
__ref.setField ("_stime" /*RemoteObject*/ ,c_ticketsdia.__c.getField(false,"DateTime").runMethod(true,"Time",(Object)(c_ticketsdia.__c.getField(false,"DateTime").runMethod(true,"getNow"))));
 BA.debugLineNum = 150;BA.debugLine="s=B4XPages.MainPage.skmt.ExecQuery(\"SELECT COUNT(";
Debug.ShouldStop(2097152);
__ref.getField(false,"_s" /*RemoteObject*/ ).setObject (c_ticketsdia._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("SELECT COUNT(*) AS CUANTOS FROM HIST_STAY_STORE WHERE HSS_IN = 0 AND HSS_CODIGO In (select cuenta from cuentaa)"))));
 BA.debugLineNum = 151;BA.debugLine="s.Position = 0";
Debug.ShouldStop(4194304);
__ref.getField(false,"_s" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 152;BA.debugLine="If s.GetString(\"CUANTOS\") = 1 Then";
Debug.ShouldStop(8388608);
if (RemoteObject.solveBoolean("=",__ref.getField(false,"_s" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CUANTOS"))),BA.NumberToString(1))) { 
 BA.debugLineNum = 153;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery2(\"UPDATE HIS";
Debug.ShouldStop(16777216);
c_ticketsdia._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("UPDATE HIST_STAY_STORE set HSS_IN = ?  where HSS_IN = 0 AND HSS_CODIGO In (select cuenta from cuentaa)")),(Object)(c_ticketsdia.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(__ref.getField(true,"_stime" /*RemoteObject*/ ))})))));
 }else {
 BA.debugLineNum = 155;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery2(\"INSERT INT";
Debug.ShouldStop(67108864);
c_ticketsdia._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("INSERT INTO HIST_STAY_STORE(HSS_CODIGO,  HSS_IN , HSS_OUT , HSS_TOT) VALUES (?,0,0,0)")),(Object)(c_ticketsdia.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {_value})))));
 BA.debugLineNum = 156;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery2(\"UPDATE HIS";
Debug.ShouldStop(134217728);
c_ticketsdia._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("UPDATE HIST_STAY_STORE set HSS_IN = ?  where HSS_IN = 0 AND HSS_CODIGO In (select cuenta from cuentaa)")),(Object)(c_ticketsdia.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(__ref.getField(true,"_stime" /*RemoteObject*/ ))})))));
 };
 BA.debugLineNum = 158;BA.debugLine="DateTime.TimeFormat = \"HH:mm:ss\"";
Debug.ShouldStop(536870912);
c_ticketsdia.__c.getField(false,"DateTime").runMethod(true,"setTimeFormat",BA.ObjectToString("HH:mm:ss"));
 BA.debugLineNum = 159;BA.debugLine="B4XPages.ShowPage(\"cliente\")";
Debug.ShouldStop(1073741824);
c_ticketsdia._b4xpages.runVoidMethod ("_showpage" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("cliente")));
 BA.debugLineNum = 160;BA.debugLine="End Sub";
Debug.ShouldStop(-2147483648);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _p_ticketsdia_click(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("p_ticketsdia_Click (c_ticketsdia) ","c_ticketsdia",8,__ref.getField(false, "ba"),__ref,253);
if (RapidSub.canDelegate("p_ticketsdia_click")) { return __ref.runUserSub(false, "c_ticketsdia","p_ticketsdia_click", __ref);}
 BA.debugLineNum = 253;BA.debugLine="Private Sub p_ticketsdia_Click";
Debug.ShouldStop(268435456);
 BA.debugLineNum = 255;BA.debugLine="End Sub";
Debug.ShouldStop(1073741824);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _regresar_click(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("Regresar_Click (c_ticketsdia) ","c_ticketsdia",8,__ref.getField(false, "ba"),__ref,132);
if (RapidSub.canDelegate("regresar_click")) { return __ref.runUserSub(false, "c_ticketsdia","regresar_click", __ref);}
 BA.debugLineNum = 132;BA.debugLine="Sub Regresar_Click";
Debug.ShouldStop(8);
 BA.debugLineNum = 133;BA.debugLine="B4XPages.ShowPage(\"cliente\")";
Debug.ShouldStop(16);
c_ticketsdia._b4xpages.runVoidMethod ("_showpage" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("cliente")));
 BA.debugLineNum = 134;BA.debugLine="End Sub";
Debug.ShouldStop(32);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}